{% extends "layouts/base.html" %}

{% block title %} UI Forms {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="py-4">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb breadcrumb-dark breadcrumb-transparent">
            <li class="breadcrumb-item"><a href="#"><span class="fas fa-home"></span></a></li>
            <li class="breadcrumb-item"><a href="#">Upload</a></li>
        </ol>
    </nav>
</div>

<div class="row">
    <div class="col-12 mb-4">
        <div class="card border-light shadow-sm components-section">
            <div class="card-body">
                <div class="row mb-4">
                    <form id="file-input-form" action="/uploader" method="POST" enctype="multipart/form-data">
                        <div class="col-xl-10">
                            <div class="mb-3">
                                <label for="file" class="form-label">Select your file</label>
                                <input class="form-control" type="file" id="file" name="file"
                                    accept="video/mp4,video/x-m4v,video/*">
                            </div>
                        </div>
                        <div class="col-xl-2">
                            <input class="btn btn-dark" type="submit" id="submit-button" />
                            <i id="submit-cog" class="fas fa-cog fa-spin" style="display:none;width: fit-content;"></i>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    document.addEventListener("DOMContentLoaded", function(event) {
        const submit = document.getElementById('submit-button');
        const form = document.getElementById('file-input-form');
        const cog = document.getElementById('submit-cog');
        submit.addEventListener('click', function (){
            cog.style.display = "inline-block";
            submit.disabled = true;
            form.submit();
        });
    })
</script>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}{% endblock javascripts %}